org.eclipse.emf.facet.custom.ui

## Interface ICustomizedLabelProvider

All Superinterfaces:
  ICustomizedToolTipLabelProvider

    public interface ICustomizedLabelProvider
    extends ICustomizedToolTipLabelProvider

This interface allows to use a `ILabelProvider`, an `IColorProvider` and an `IFontProvider` which is implemented and customizable using the EMF Facet customization mechanism.

Author:
  Gregoire Dupe
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizedLabelProvider` `cloneLabelProvider()`
`Color` `getBackground(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getBottomLeftOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getBottomMiddleOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getBottomRightOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`ICustomizationManager` `getCustomizationManager()` This method returns the customization manager used by the label provider.
`Image` `getImage(java.lang.Object element, ETypedElement eTypedElement)`
`java.lang.String` `getText(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getTopLeftOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getTopMiddleOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getTopRightOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`boolean` `isStruckthrough(java.lang.Object element, ETypedElement eTypedElement)`
`boolean` `isUnderlined(java.lang.Object element, ETypedElement eTypedElement)`

### Methods inherited from interface org.eclipse.emf.facet.custom.ui.ICustomizedToolTipLabelProvider

`getToolTipBackgroundColor, getToolTipBottomLeftOverlay, getToolTipBottomMiddleOverlay, getToolTipBottomRightOverlay, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipStyle, getToolTipText, getToolTipTimeDisplayed, getToolTipTopLeftOverlay, getToolTipTopMiddleOverlay, getToolTipTopRightOverlay, update`

### Method Detail

#### getCustomizationManager

    ICustomizationManager getCustomizationManager()

This method returns the customization manager used by the label provider. The customization stack updates have to be done using this `ICustomizationManager`.

Returns:
  the customization manager used by the content provider.

#### isUnderlined

    boolean isUnderlined(java.lang.Object element,
                         ETypedElement eTypedElement)

#### isStruckthrough

    boolean isStruckthrough(java.lang.Object element,
                            ETypedElement eTypedElement)

#### getTopLeftOverlay

    Image getTopLeftOverlay(java.lang.Object element,
                            ETypedElement eTypedElement)

#### getTopMiddleOverlay

    Image getTopMiddleOverlay(java.lang.Object element,
                              ETypedElement eTypedElement)

#### getTopRightOverlay

    Image getTopRightOverlay(java.lang.Object element,
                             ETypedElement eTypedElement)

#### getBottomLeftOverlay

    Image getBottomLeftOverlay(java.lang.Object element,
                               ETypedElement eTypedElement)

#### getBottomMiddleOverlay

    Image getBottomMiddleOverlay(java.lang.Object element,
                                 ETypedElement eTypedElement)

#### getBottomRightOverlay

    Image getBottomRightOverlay(java.lang.Object element,
                                ETypedElement eTypedElement)

#### getText

    java.lang.String getText(java.lang.Object element,
                             ETypedElement eTypedElement)

#### getImage

    Image getImage(java.lang.Object element,
                   ETypedElement eTypedElement)

#### cloneLabelProvider

    ICustomizedLabelProvider cloneLabelProvider()

Since:
  0.2

#### getBackground

    Color getBackground(java.lang.Object element,
                        ETypedElement eTypedElement)

Since:
  1.2